Bug 117628 - RFE: Add -fPIE support to Xorg
Summary: RFE: Add -fPIE support to Xorg
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Triaged
Depends On: 117629 117630 117631 117632 117633 117634
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2004-03-06 00:21 UTC by Mike A. Harris
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-15 04:23:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike A. Harris 2004-03-06 00:21:02 UTC
Several applications included in XFree86 packaging are daemons,
or SUID apps, of which can benefit from being built with PIE
(Position Independant Executable) support.

This bug is a tracker bug to track XFree86 PIE requests for
enhancement.

Comment 1 Mike A. Harris 2004-03-06 00:33:50 UTC
Each of the following should be investigated individually:

XFree86-4.3.0-62.i386.rpm
        /usr/X11R6/bin/XFree86  - bug #117634
        /usr/X11R6/bin/Xprt     - bug #117629

XFree86-xdm-4.3.0-62.i386.rpm
        /usr/X11R6/bin/xdm      - bug #117630

XFree86-xfs-4.3.0-62.i386.rpm
        /usr/X11R6/bin/xfs      - bug #117631

XFree86-Xnest-4.3.0-62.i386.rpm
        /usr/X11R6/bin/Xnest    - bug #117632

XFree86-Xvfb-4.3.0-62.i386.rpm
        /usr/X11R6/bin/Xvfb     - bug #117633


Comment 2 Mike A. Harris 2004-07-08 05:07:33 UTC
PIE documentation, courtesy of Uli:

http://people.redhat.com/drepper/nonselsec.pdf

Comment 3 Mike A. Harris 2004-10-12 17:15:24 UTC
Deferring for FC4 development consideration.

Comment 4 Mike A. Harris 2005-03-15 04:23:02 UTC
Being tracked upstream now:

https://bugs.freedesktop.org/show_bug.cgi?id=2730


Note You need to log in before you can comment on or make changes to this bug.